Subject: Re: [PATCH, untested] Support for PPPOE on SMP

From: Jamal Hadi <[email-masked]>
Date: Wed, 25 Jun 2003 11:45:07 -0400 (EDT)

Have you tested the case where the ethernet card is tied to only
CPU in SMP? That guarantees ordering.
Ordering per protocol should really be that protocols problem to
solve. If you cant solve it you have a bug.

cheers,
jamal

On Wed, 25 Jun 2003, Michal Ostrowski wrote:

>
> Perhaps instead of using a special queue that keeps packets ordered, we
> add a tag to each skb as it comes off the card and let higher level
> protocols use this to re-order things themselves?  (And add some option
> for AF_PACKET sockets to optionally enforce this ordering in presenting
> packets to apps, or not.)
>
> This may require modifying all drivers, but it does provide for an
> explicit mechanism that can be made mandatory for drivers, avoids
> special casing, avoids dumping work onto a single CPU and leaves it up
> to the higher-level code to figure out ordering, if it wants to.
>
> --
> Michal Ostrowski <[email-masked]>
>
>
>
>